<ion-item-sliding #sliding>
  <ion-item (click)="update.emit(tarefa)">
    {{tarefa.title}}
    <ion-toggle
      slot="end"
      color="primary"
      [checked]="tarefa.done"
      (ionChange)="done.emit(tarefa)"
      (click)="$event.stopPropagation()"
    ></ion-toggle>
  </ion-item>
  <ion-item-options side="start">
    <ion-item-option
      color="danger"
      (click)="delete.emit(tarefa); sliding.close()"
    >
      <ion-icon
        slot="icon-only"
        name="trash"
      ></ion-icon>
    </ion-item-option>

    <ion-item-option (click)="update.emit(tarefa); sliding.close()">
      <ion-icon
        slot="icon-only"
        name="create"
      ></ion-icon>
    </ion-item-option>
  </ion-item-options>
</ion-item-sliding>
